<?php
// Init addon
$REX['ADDON']['name']['bx_slider'] = 'Slideshow (bxSlider)';
$REX['ADDON']['page']['bx_slider'] = 'bx_slider';
$REX['ADDON']['version']['bx_slider'] = '1.1.0';
$REX['ADDON']['author']['bx_slider'] = 'redaxo.org';
$REX['ADDON']['supportpage']['bx_slider'] = 'www.redaxo.org/de/forum/addons-f30/addon-slideshow-bxslider-t19792.html';
$REX['ADDON']['perm']['bx_slider'] = 'bx_slider[]';

// Permissions
$REX['PERM'][] = 'bx_slider[]';

// Includes
require($REX['INCLUDE_PATH'] . '/addons/bx_slider/settings.inc.php');
require($REX['INCLUDE_PATH'] . '/addons/bx_slider/classes/class.rex_bx_slider.inc.php');
require($REX['INCLUDE_PATH'] . '/addons/bx_slider/classes/class.rex_bx_slider_utils.inc.php');

// Create it
$REX['ADDON']['bx_slider']['OBJECT'] = new rex_bx_slider();

// Backend
if ($REX['REDAXO']) {
	// Add lang file
	$I18N->appendFile($REX['INCLUDE_PATH'] . '/addons/bx_slider/lang/');

	// Add subpages
	$REX['ADDON']['bx_slider']['SUBPAGES'] = array(
		array('', $I18N->msg('bx_slider_start')),
		array('settings', $I18N->msg('bx_slider_settings')),
		array('setup-slideshow', $I18N->msg('bx_slider_setup_slideshow')),
		array('setup-slide', $I18N->msg('bx_slider_setup_slide')),
		array('help', $I18N->msg('bx_slider_help'))
	);
} 
// Frontend
else {
	// Include assets
	rex_register_extension('OUTPUT_FILTER', 'rex_bx_slider_utils::includeBxSlider');
}
?>
